Package be.fgov.ehealth.dics.protocol.v4

# Class ListConsultationResponseType

java.lang.Object
be.fgov.ehealth.commons.protocol.v2.ResponseType
be.fgov.ehealth.commons.protocol.v2.StatusResponseType
be.fgov.ehealth.commons.protocol.v2.PaginationStatusResponseType
be.fgov.ehealth.dics.protocol.v4.ListConsultationResponseType

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `GetListOfActualMedicinalProductPackagesResponse`, `GetListOfActualMedicinalProductsResponse`, `GetListOfVirtualMedicinalProductsResponse`, `GetListOfVmpGroupsResponse`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:17:33+02:00", comments="JAXB RI v4.0.5") public class ListConsultationResponseType extends PaginationStatusResponseType implements Serializable

Java class for ListConsultationResponseType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ListConsultationResponseType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}PaginationStatusResponseType">
           <attribute name="Total" type="{http://www.w3.org/2001/XMLSchema}int" />
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ListConsultationResponseType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Integer`
  `getTotal()`
  The total number of results in the query.
  `void`
  `setTotal(Integer value)`
  Sets the value of the total property.

  ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.PaginationStatusResponseType

  `getMaxElements, getOffset, setMaxElements, setOffset`

  ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.StatusResponseType

  `getStatus, setStatus`

  ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.ResponseType

  `getId, getInResponseTo, getIssueInstant, setId, setInResponseTo, setIssueInstant`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ListConsultationResponseType

    public ListConsultationResponseType()

- ## Method Details

  - ### getTotal

    public Integer getTotal()
    The total number of results in the query. If Offset plus MaxElements is less than Total, more results can be retrieved.
    Returns:
      possible object is `Integer`

  - ### setTotal

    public void setTotal(Integer value)
    Sets the value of the total property.
    Parameters:
      `value` - allowed object is `Integer`
    See Also:
      - `getTotal()`